Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.dockbar.event
Class ActivationListener

    java.lang.Object
      org.flexdock.dockbar.event.ActivationListener

    public class ActivationListener

extends Object

Author:
  Christopher Butler

Constructor Summary
`ActivationListener(DockbarManager mgr)`

Method Summary
`boolean` | `isActive()`
`boolean` | `isAvailable()`
`boolean` | `isEnabled()`
`boolean` | `isMouseOver()`
`boolean` | `isViewpaneLocked()`
`void` | `lockViewpane()`
`void` | `mouseEntered(Point mousePoint)`
`void` | `mouseExited(Point mousePoint)`
`void` | `mousePressed(Point mousePoint, boolean mouseOver)`
`void` | `setEnabled(boolean enabled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActivationListener

    public ActivationListener(DockbarManager mgr)

Method Detail

### isEnabled

    public boolean isEnabled()

### isActive

    public boolean isActive()

### setEnabled

    public void setEnabled(boolean enabled)

### isAvailable

    public boolean isAvailable()

### isViewpaneLocked

    public boolean isViewpaneLocked()

### mouseEntered

    public void mouseEntered(Point mousePoint)

### mouseExited

    public void mouseExited(Point mousePoint)

### mousePressed

    public void mousePressed(Point mousePoint,
                             boolean mouseOver)

### lockViewpane

    public void lockViewpane()

### isMouseOver

    public boolean isMouseOver()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD